# Диаграмма прецедентов UML для Жилищного агентства

```plantuml
@startuml
skinparam packageStyle rect
left to right direction


:Съемщик:
:Система анализа\nрынка:
:Системный\nадминистратор:

package "Жилищное агентство" {

(Поиск жилья)
(Оформление аренды)
(Добавление жилья)
(Добавление отзывов)
(Анализ рынка)
(Управление безопасностью)
(Управление пользователями)

}


:Съемщик: -- (Поиск жилья)
:Съемщик: -- (Оформление аренды)
:Съемщик: -- (Добавление отзывов)

:Система анализа\nрынка: -- (Поиск жилья)
:Система анализа\nрынка: -- (Оформление аренды)
:Система анализа\nрынка: -- (Добавление жилья)
:Система анализа\nрынка: -- (Анализ рынка)

:Системный\nадминистратор: -- (Управление безопасностью)
:Системный\nадминистратор: -- (Управление пользователями)


:Владелец жилья:
:Риэлтор:
:Модератор\nагенства:

(Оформление аренды) -- :Владелец жилья: 
(Добавление жилья) -- :Владелец жилья: 

(Оформление аренды) -- :Риэлтор: 
(Добавление жилья) -- :Риэлтор: 

(Добавление жилья) -- :Модератор\nагенства:
(Добавление отзывов) -- :Модератор\nагенства:

@enduml
```
